FAQ Fragen und Antworten


 

toc_openbook

Welche Programmiersprachen kann ich nutzen?

zurück zu Programmierung

 
Es können, je nach Tarif sowie dessen Leistungen, PHP, Perl/CGI, Ruby, Ruby on Rails, Pear, Python, html, html5, shtml, SSI, WAP, MySQL, MySQLi genutzt werden.
 
Bei PHP stehen Ihnen mehrere Versionen zur Verfügung, die aus IP-CONF oder dem Webmanager unter httpd.Spezial aktiviert werden können.
 
PHP5.3.x (standardmäßig auf ON)
PHP5.4.x

PHP5.5.x

PHP5.6.x

 

Zu beachten gilt bei PHP, dass Ordner max. chmod 755 besitzen und Dateien 644, bei chmod 777 erhalten Sie einen InternalServerError. Perl/CGI führen Sie im Ordner cgi-bin aus, oder aktivieren in Confixx (Perl/CGI außerhalb), dann können Sie dies in jedem Ordner mit chmod 755 nutzen.
 
 

In PHP5.3.x, PHP5.4.x , PHP5.5x  ist der Zend Optimizer installiert und nutzbar. Weitere Module in PHP: PDFLib, DGlib, ImageMagick ...
 

 

Wir entwickeln unsere Serversysteme stetig weiter, sollten Sie also spezielle Anforderungen an eine Programmiersprache haben, so teilen Sie uns dies bitte mit.